Bug 36937 - api/v1/password_validation.t generates warnings
Summary: api/v1/password_validation.t generates warnings
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Matt Blenkinsop
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 35204
Blocks: 25515
  Show dependency treegraph
 
Reported: 2024-05-23 07:42 UTC by Jonathan Druart
Modified: 2024-06-13 13:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.11.00


Attachments
Bug 36937: Remove warning from unit tests (1.29 KB, patch)
2024-05-23 09:25 UTC, Matt Blenkinsop
Details | Diff | Splinter Review
Bug 36937: Remove warning from unit tests (1.35 KB, patch)
2024-05-23 09:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 36937: Remove warning from unit tests (1.39 KB, patch)
2024-05-25 20:12 UTC, David Nind
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2024-05-23 07:42:59 UTC
t/db_dependent/api/v1/password_validation.t .. Use of uninitialized value $status in numeric eq (==) at /kohadevbox/koha/Koha/REST/V1/Auth/Password.pm line 76.
Comment 1 Matt Blenkinsop 2024-05-23 09:25:04 UTC
Created attachment 167082 [details] [review]
Bug 36937: Remove warning from unit tests

This patch fixes a warning in the unit tests

Test plan:
1) prove t/db_dependent/api/v1/password_validation.t
2) There will be a warning in the output - 'Use of uninitialized value $status in numeric eq (==)'
3) Apply patch
4) Re-run the test
5) The warning will disappear
Comment 2 Jonathan Druart 2024-05-23 09:38:49 UTC
Created attachment 167083 [details] [review]
Bug 36937: Remove warning from unit tests

This patch fixes a warning in the unit tests

Test plan:
1) prove t/db_dependent/api/v1/password_validation.t
2) There will be a warning in the output - 'Use of uninitialized value $status in numeric eq (==)'
3) Apply patch
4) Re-run the test
5) The warning will disappear

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 David Nind 2024-05-25 20:12:26 UTC
Created attachment 167181 [details] [review]
Bug 36937: Remove warning from unit tests

This patch fixes a warning in the unit tests

Test plan:
1) prove t/db_dependent/api/v1/password_validation.t
2) There will be a warning in the output - 'Use of uninitialized value $status in numeric eq (==)'
3) Apply patch
4) Re-run the test
5) The warning will disappear

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2024-05-25 20:13:16 UTC
I've added my sign off as well (followed the test plan).

Maybe Jonathan can the do the QA.
Comment 5 Martin Renvoize 2024-06-13 13:33:07 UTC
Thanks for all the hard work!

Pushed to main for the next 24.11.00 release as RM Assistant